# escapework/manager-medias

Módulo de mídias para integração com o escapework/manager.

## Instalação

Adicione no seu `composer.json` os seguintes itens:

```javascript
    "require": {
        "escapework/manager-medias": "~2.0"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
```

E depois execute:

```sh
$ composer update`
```

## Configurando

Edite o arquivo `config/app.php`, adicionando a seguinte linha no array de `providers`:

```php
    'EscapeWork\Manager\Medias\Providers\ManagerServiceProvider',
```

**OBS**: Antes de executar o comando abaixo a base de dados local deve estar configurada.

Execute o seguinte comando:

- `$ php artisan manager:configure`;
