<?php namespace EscapeWork\Manager\Medias\Commands;

use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Http\Request;
use EscapeWork\Manager\Medias\Commands\Command;
use EscapeWork\Manager\Medias\Contracts\Mediable;
use EscapeWork\Manager\Medias\Models\Media;

class UpdateMediasCommand extends Command implements SelfHandling {

    private $model;

    public function __construct(Media $media)
    {
        $this->model = $media;
    }

    /**
     * Handle the command.
     *
     * @return void
     */
    public function handle(Request $request)
    {
        $this->model->fill($request->all());
        $this->model->save();
    }

}

