<?php namespace EscapeWork\Manager\Medias\Presenters;

use EscapeWork\Manager\Medias\Repositories\ConfigRepository;
use EscapeWork\LaravelSteroids\Presenter;

class MediaPresenter extends Presenter
{

    public function thumbnail()
    {
        return ConfigRepository::medias()->url . '/' . $this->model->file . '?w=200&h=200';
    }

    public function picture($w, $h, $fit = 'resize')
    {
        return asset(config('manager-medias.medias.url') . '/' . $this->model->file . '?w='.$w.'&h='.$h.'&fit='.$fit);
    }
}
