<?php namespace EscapeWork\Manager\Medias\Collections;

use EscapeWork\LaravelUploader\Collections\UploadCollection;

class MediaCollection extends UploadCollection
{

    public function __construct(UploadCollection $collection)
    {
        $medias = $this;

        $collection->each(function ($upload) use ($medias) {
            $medias->push($upload);
        });
    }

    public function resize($dir)
    {
        $mediaService = app('EscapeWork\Manager\Medias\Services\MediasResizeService');

        $this->each(function ($media) use ($dir, $mediaService) {
            $mediaService->resize($dir . '/' . $media);
        });
    }

}
