<?php namespace EscapeWork\Manager\Medias\Http;

use Illuminate\Foundation\Http\Kernel as HttpKernel;

class Kernel extends HttpKernel {

    public function __construct() { }

    /**
     * The application's global HTTP middleware stack.
     *
     * @var array
     */
    protected $middleware = [];

    /**
     * The application's route middleware.
     *
     * @var array
     */
    protected $routeMiddleware = [
        'manager-medias.mediable' => 'EscapeWork\Manager\Medias\Http\Middleware\MediableMiddleware',
    ];

    public function getMiddlewares()
    {
        return $this->routeMiddleware;
    }
}
