<?php namespace EscapeWork\Manager\Medias\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreRequest extends FormRequest
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'files' => ['required', 'mime_type_array'],
        ];
    }

    public function messages()
    {
        return [
            'files.mime_type_array' => 'You must send either jpg or png files only'
        ];
    }
}
